Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 21 Mar 2019 23:53:16 +0000 (UTC)
From:      "Jason E. Hale" <jhale@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r496519 - in head/editors/mp: . files
Message-ID:  <201903212353.x2LNrGh2095469@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: jhale
Date: Thu Mar 21 23:53:16 2019
New Revision: 496519
URL: https://svnweb.freebsd.org/changeset/ports/496519

Log:
  editors/mp: Update to 5.31
  
  - LICENSE was changed from GPLv2 to a Public Domain license
  - UI options have been reconfigured so that if the user installs a GUI
    (GTK2, GTK3, or QT5), mp-5 is also usable in the console via the
    NCURSES or ANSI options
  - mpsl and supporting data are no longer installed, but rather compiled into
    the mp-5 binary
  - Add pkg-message to explain the GUI color scheme change and how to revert
    to the previous color scheme if so desired

Added:
  head/editors/mp/files/patch-mpv__gtk.c   (contents, props changed)
  head/editors/mp/pkg-message   (contents, props changed)
Modified:
  head/editors/mp/Makefile
  head/editors/mp/distinfo
  head/editors/mp/files/patch-config.sh
  head/editors/mp/files/patch-mpdm_config.sh
  head/editors/mp/pkg-plist

Modified: head/editors/mp/Makefile
==============================================================================
--- head/editors/mp/Makefile	Thu Mar 21 22:51:53 2019	(r496518)
+++ head/editors/mp/Makefile	Thu Mar 21 23:53:16 2019	(r496519)
@@ -2,35 +2,37 @@
 # $FreeBSD$
 
 PORTNAME=	mp
-DISTVERSION=	5.2.13
-PORTREVISION=	3
+DISTVERSION=	5.31
 CATEGORIES=	editors
 MASTER_SITES=	http://triptico.com/download/mp/
 
 MAINTAINER=	jhale@FreeBSD.org
 COMMENT=	Programming text editor
 
-LICENSE=	GPLv2+
-LICENSE_FILE=	${WRKSRC}/COPYING
+LICENSE=	PD
+LICENSE_FILE=	${WRKSRC}/LICENSE
 
 USES=		gmake iconv
 
 HAS_CONFIGURE=	yes
 CONFIGURE_SCRIPT=	config.sh
 CONFIGURE_ARGS=	--prefix=${PREFIX} --docdir=${DOCSDIR} \
-		--without-win32 --without-kde4
+		--without-win32 --without-kde4 --without-qt4
 CONFIGURE_ENV=	LOCALBASE="${LOCALBASE}" \
 		ICONV_LIB="${ICONV_LIB}" \
 		ICONV_PREFIX="${ICONV_PREFIX}" \
 		NCURSESINC="${NCURSESINC}" \
 		NCURSESLIB="${NCURSESLIB}"
 LDFLAGS+=	-Wl,--as-needed
+LLD_UNSAFE=	yes
+MAKE_JOBS_UNSAFE=	yes
 
-DATADIR=	${PREFIX}/share/mp-5
-
 OPTIONS_DEFINE=		DOCS NLS PCRE
-OPTIONS_SINGLE=		GUI
-OPTIONS_SINGLE_GUI=	ANSI GTK2 GTK3 NCURSES QT5
+OPTIONS_RADIO=		GUI
+OPTIONS_RADIO_GUI=	GTK2 GTK3 QT5
+CONSOLE_DESC=		${NCURSES_DESC}
+OPTIONS_SINGLE=		CONSOLE
+OPTIONS_SINGLE_CONSOLE=	ANSI NCURSES
 OPTIONS_DEFAULT=	NCURSES PCRE
 OPTIONS_SUB=		yes
 
@@ -43,49 +45,40 @@ PCRE_CONFIGURE_WITH=	pcre
 ANSI_DESC=		ANSI terminal support
 ANSI_CONFIGURE_WITH=	ansi
 
+GTK2_USES=		gnome pkgconfig
 GTK2_USE=		gnome=cairo,gdkpixbuf2,gtk20
 GTK2_CONFIGURE_ON=	--with-gtk=2
+GTK2_DESKTOP_ENTRIES=	"Minimum Profit" "" "mp" "mp-5" "Utility;TextEditor;GTK;" ""
 
+GTK3_USES=		gnome pkgconfig
 GTK3_USE=		gnome=cairo,gdkpixbuf2,gtk30
 GTK3_CONFIGURE_ON=	--with-gtk=3
+GTK3_DESKTOP_ENTRIES=	"Minimum Profit" "" "mp" "mp-5" "Utility;TextEditor;GTK;" ""
 
 NCURSES_USES=		ncurses
 NCURSES_CONFIGURE_WITH=	curses
 NCURSES_CFLAGS=		-I${NCURSESBASE}/include
 
-QT5_USES=		compiler:c++11-lang qmake:no_env qt:5
+QT5_USES=		compiler:c++11-lang gl pkgconfig qmake:no_env qt:5
 QT5_USE=		cxxstd=-std=c++11 \
 			gl=gl \
 			qt=buildtools_build,core,gui,widgets
-QT5_CONFIGURE_WITH=	qt5
+QT5_CONFIGURE_ENV=	CCLINK="${CXX}"
+QT5_CONFIGURE_ON=	--with-qt5 --with-moc="${MOC}"
+QT5_DESKTOP_ENTRIES=	"Minimum Profit" "" "mp" "mp-5" "Utility;TextEditor;Qt;" ""
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MGTK*} || ${PORT_OPTIONS:MQT*}
-USES+=		pkgconfig
+.if ${PORT_OPTIONS:MGTK*} || ${PORT_OPTIONS:MQT5}
 PLIST_SUB+=	GUI=""
 .else
 PLIST_SUB+=	GUI="@comment "
 .endif
 
-.if ${PORT_OPTIONS:MGTK*}
-DESKTOP_ENTRIES="Minimum Profit" "" "mp" "mp-5" "Utility;TextEditor;GTK;" ""
-.else
+.if !${PORT_OPTIONS:MGTK*}
 CONFIGURE_ARGS+=	--without-gtk
 .endif
 
-.if ${PORT_OPTIONS:MQT*}
-DESKTOP_ENTRIES="Minimum Profit" "" "mp" "mp-5" "Utility;TextEditor;Qt;" ""
-CONFIGURE_ARGS+=--with-moc=${MOC}
-CONFIGURE_ENV+=	CCLINK="${CXX}"
-.endif
-
-post-patch:
-.for i in mpdm/mpdm.h mpsl/mpsl_d.c
-	@${REINPLACE_CMD} -e \
-		's|<malloc\.h>|<stdlib.h>|g' ${WRKSRC}/${i}
-.endfor
-
 do-configure:
 	@(for CONFIGURE_WRKSRC in ${WRKSRC}/mpdm ${WRKSRC}/mpsl ${WRKSRC}; \
 	  do \
@@ -95,15 +88,11 @@ do-configure:
 	      LDFLAGS="${LDFLAGS}" LIBS="${LIBS}" \
 	      ${CONFIGURE_ENV} ${CONFIGURE_CMD} ${CONFIGURE_ARGS}; \
 	  done;)
+
 do-install:
 	${INSTALL_PROGRAM} ${WRKSRC}/mp-5 ${STAGEDIR}${PREFIX}/bin
-	${INSTALL_PROGRAM} ${WRKSRC}/mpsl/mpsl ${STAGEDIR}${PREFIX}/bin
 	${INSTALL_MAN} ${WRKSRC}/mp-5.1 ${STAGEDIR}${MANPREFIX}/man/man1
-	@${MKDIR} ${STAGEDIR}${DATADIR}
-	${INSTALL_DATA} ${WRKSRC}/mp_*.mpsl ${STAGEDIR}${DATADIR}
-	@${MKDIR} ${STAGEDIR}${DATADIR}/lang
-	${INSTALL_DATA} ${WRKSRC}/lang/*.mpsl ${STAGEDIR}${DATADIR}/lang
-.if ${PORT_OPTIONS:MGTK*} || ${PORT_OPTIONS:MQT*}
+.if ${PORT_OPTIONS:MGTK*} || ${PORT_OPTIONS:MQT5}
 	${INSTALL_DATA} ${WRKSRC}/mp.png ${STAGEDIR}${PREFIX}/share/pixmaps
 .endif
 
@@ -115,7 +104,7 @@ do-install-NLS-on:
 
 do-install-DOCS-on:
 	@${MKDIR} ${STAGEDIR}${DOCSDIR}
-.for doc in AUTHORS README RELEASE_NOTES mp_templates.sample doc/*.*
+.for doc in AUTHORS README RELEASE_NOTES mp_templates.sample doc/* mpdm/doc/* mpsl/doc/*
 	${INSTALL_DATA} ${WRKSRC}/${doc} ${STAGEDIR}${DOCSDIR}
 .endfor
 

Modified: head/editors/mp/distinfo
==============================================================================
--- head/editors/mp/distinfo	Thu Mar 21 22:51:53 2019	(r496518)
+++ head/editors/mp/distinfo	Thu Mar 21 23:53:16 2019	(r496519)
@@ -1,3 +1,3 @@
-TIMESTAMP = 1520166330
-SHA256 (mp-5.2.13.tar.gz) = be1c486657105a6cdb0b2fc4c1efdee93f1f63aeec42ab6b1c0d97ba7a891c58
-SIZE (mp-5.2.13.tar.gz) = 512269
+TIMESTAMP = 1552964726
+SHA256 (mp-5.31.tar.gz) = 77126949191800eac7618ecb5664896715c9437061cc4f73b3939cb4f5e20f1e
+SIZE (mp-5.31.tar.gz) = 509436

Modified: head/editors/mp/files/patch-config.sh
==============================================================================
--- head/editors/mp/files/patch-config.sh	Thu Mar 21 22:51:53 2019	(r496518)
+++ head/editors/mp/files/patch-config.sh	Thu Mar 21 23:53:16 2019	(r496519)
@@ -1,121 +1,56 @@
---- config.sh.orig	2018-02-19 15:16:29 UTC
+--- config.sh.orig	2019-02-15 07:23:10 UTC
 +++ config.sh
-@@ -28,9 +28,11 @@ while [ $# -gt 0 ] ; do
+@@ -38,6 +38,7 @@ while [ $# -gt 0 ] ; do
      case $1 in
-     --without-curses)   WITHOUT_CURSES=1 ;;
-     --without-gtk)      WITHOUT_GTK=1 ;;
-+    --with-gtk=*)       GTKVER=`echo $1 | sed -e 's/--with-gtk=//'` ;;
-     --without-win32)    WITHOUT_WIN32=1 ;;
-     --with-kde4)        WITHOUT_KDE4=0 ;;
-     --without-qt4)      WITHOUT_QT4=1 ;;
-+    --without-qt5)      WITHOUT_QT5=1 ;;
-     --without-ansi)     WITHOUT_ANSI=1 ;;
-     --help)             CONFIG_HELP=1 ;;
- 
-@@ -59,9 +61,11 @@ if [ "$CONFIG_HELP" = "1" ] ; then
+     --without-curses)    WITHOUT_CURSES=1 ;;
+     --without-gtk)       WITHOUT_GTK=1 ;;
++    --with-gtk=*)        GTKVER=`echo $1 | sed -e 's/--with-gtk=//'` ;;
+     --without-win32)     WITHOUT_WIN32=1 ;;
+     --with-kde4)         WITHOUT_KDE4=0 ;;
+     --without-qt)        WITHOUT_QT5=1 && WITHOUT_QT4=1 ;;
+@@ -73,6 +74,7 @@ if [ "$CONFIG_HELP" = "1" ] ; then
      echo "--prefix=PREFIX       Installation prefix ($PREFIX)."
      echo "--without-curses      Disable curses (text) interface detection."
      echo "--without-gtk         Disable GTK interface detection."
 +    echo "--with-gtk=GTKVER     Enable GTK where GTKVER=(2|3)."
      echo "--without-win32       Disable win32 interface detection."
      echo "--with-kde4           Enable KDE4 interface detection."
-     echo "--without-qt4         Disable Qt4 interface detection."
-+    echo "--without-qt5         Disable Qt5 interface detection."
-     echo "--with-moc            Path to your QT4 moc. Ie: --with-moc=/usr/lib64/qt4/bin/moc"
-     echo "--without-ansi        Disable ANSI terminal interface detection."
-     echo "--without-unix-glob   Disable glob.h usage (use workaround)."
-@@ -223,36 +227,11 @@ echo -n "Testing for ncursesw... "
+     echo "--without-qt          Disable Qt interface detection."
+@@ -250,11 +252,11 @@ echo -n "Testing for ncursesw... "
  if [ "$WITHOUT_CURSES" = "1" ] ; then
      echo "Disabled"
  else
 -    echo "#include <ncursesw/ncurses.h>" > .tmp.c
--    echo "int main(void) { initscr(); endwin(); return 0; }" >> .tmp.c
--
--    TMP_CFLAGS="-I/usr/local/include -I/usr/include/ncurses -I/usr/include/ncursesw"
--    TMP_LDFLAGS="-L/usr/local/lib -lncursesw"
--
--    $CC $TMP_CFLAGS .tmp.c $TMP_LDFLAGS -o .tmp.o 2>> .config.log
--    if [ $? = 0 ] ; then
--        echo "#define CONFOPT_CURSES 1" >> config.h
--        echo $TMP_CFLAGS >> config.cflags
--        echo $TMP_LDFLAGS >> config.ldflags
--        echo "OK (ncursesw)"
--        DRIVERS="ncursesw $DRIVERS"
--        DRV_OBJS="mpv_curses.o $DRV_OBJS"
--        WITHOUT_ANSI=1
--    else
--        echo "No"
--        WITHOUT_CURSES=1
--    fi
--fi
--
--if [ "$WITHOUT_CURSES" = "1" ] ; then
--    # test for curses / ncurses library
--    echo -n "Testing for recent ncurses... "
--
-     echo "#include <ncurses.h>" > .tmp.c
++    echo "#include <ncurses.h>" > .tmp.c
      echo "int main(void) { initscr(); endwin(); return 0; }" >> .tmp.c
  
--    TMP_CFLAGS="-I/usr/local/include"
+-    TMP_CFLAGS="-I/usr/local/include -I/usr/include/ncurses -I/usr/include/ncursesw"
 -    TMP_LDFLAGS="-L/usr/local/lib -lncursesw"
 +    TMP_CFLAGS="-I${NCURSESINC}"
 +    TMP_LDFLAGS="${LDFLAGS} -L${NCURSESLIB} -lncursesw"
  
      $CC $TMP_CFLAGS .tmp.c $TMP_LDFLAGS -o .tmp.o 2>> .config.log
      if [ $? = 0 ] ; then
-@@ -384,19 +363,22 @@ if [ "$WITHOUT_QT5" = "1" ] ; then
+@@ -384,14 +386,14 @@ if [ "$WITHOUT_QT5" = "1" ] ; then
  else
      if which pkg-config > /dev/null 2>&1
      then
--        if which moc-qt5 > /dev/null 2>&1
--        then
--            MOC=moc-qt5
--            echo "MOC=$MOC" >> makefile.opts
-+	if [ ! $QT4MOC ]; then
-+		MOC="moc"
-+	else
-+        	MOC="$QT4MOC"
-+	fi
-+        which moc-qt5 > /dev/null 2>&1 && MOC=moc-qt5
-+        echo "MOC=$MOC" >> makefile.opts
+-        TMP_CFLAGS="`sh -c 'pkg-config --cflags Qt5Widgets' 2>/dev/null` -fPIC"
+-        TMP_LDFLAGS="`sh -c 'pkg-config --libs Qt5Widgets' 2>/dev/null`"
++        TMP_CFLAGS="`sh -c 'pkg-config --cflags Qt5Widgets gl' 2>/dev/null` -fPIC"
++        TMP_LDFLAGS="`sh -c 'pkg-config --libs Qt5Widgets gl' 2>/dev/null`"
  
--            TMP_CFLAGS="$(pkg-config --cflags Qt5Widgets) -fPIC"
--            TMP_LDFLAGS=$(pkg-config --libs Qt5Widgets)
-+            TMP_CFLAGS="$(pkg-config --cflags Qt5Widgets) $(pkg-config --cflags gl) -fPIC"
-+            TMP_LDFLAGS="$(pkg-config --libs Qt5Widgets) $(pkg-config --libs gl)"
- 
-             echo "#include <QtWidgets>" > .tmp.cpp
-             echo "int main(int argc, char *argv[]) { new QApplication(argc, argv) ; return 0; } " >> .tmp.cpp
+         echo "#include <QtWidgets>" > .tmp.cpp
+         echo "int main(int argc, char *argv[]) { new QApplication(argc, argv) ; return 0; } " >> .tmp.cpp
   
--            echo "$CPP $TMP_CFLAGS .tmp.cpp $TMP_LDFLAGS -o .tmp.o" >> .config.log
--            $CPP $TMP_CFLAGS .tmp.cpp $TMP_LDFLAGS -o .tmp.o 2>> .config.log
-+            echo "$CPP $CXXFLAGS $TMP_CFLAGS .tmp.cpp $TMP_LDFLAGS -o .tmp.o" >> .config.log
-+            $CPP $CXXFLAGS $TMP_CFLAGS .tmp.cpp $TMP_LDFLAGS -o .tmp.o 2>> .config.log
+-        echo "$CPP $TMP_CFLAGS .tmp.cpp $TMP_LDFLAGS -o .tmp.o" >> .config.log
+-        $CPP $TMP_CFLAGS .tmp.cpp $TMP_LDFLAGS -o .tmp.o 2>> .config.log
++        echo "$CPP $CXXFLAGS $TMP_CFLAGS .tmp.cpp $TMP_LDFLAGS -o .tmp.o" >> .config.log
++        $CPP $CXXFLAGS $TMP_CFLAGS .tmp.cpp $TMP_LDFLAGS -o .tmp.o 2>> .config.log
  
-             if [ $? = 0 ] ; then
-                 echo $TMP_CFLAGS >> config.cflags
-@@ -416,9 +398,6 @@ else
-             else
-                 echo "No"
-             fi
--        else
--            echo "No"
--        fi
-     else
-         echo "No"
-     fi
-@@ -441,8 +420,8 @@ else
-         which moc-qt4 > /dev/null 2>&1 && MOC=moc-qt4
-         echo "MOC=$MOC" >> makefile.opts
- 
--        TMP_CFLAGS=$(pkg-config --cflags QtGui)
--        TMP_LDFLAGS="$(pkg-config --libs QtGui) -lX11"
-+        TMP_CFLAGS="$(pkg-config --cflags QtGui) $(pkg-config --cflags x11)"
-+        TMP_LDFLAGS="$(pkg-config --libs QtGui) $(pkg-config --libs x11)"
- 
-         echo "#include <QtGui>" > .tmp.cpp
-         echo "int main(int argc, char *argv[]) { new QApplication(argc, argv) ; return 0; } " >> .tmp.cpp
-@@ -483,15 +462,15 @@ else
+         if [ $? = 0 ] ; then
+             echo $TMP_CFLAGS >> config.cflags
+@@ -475,15 +477,15 @@ else
      echo "int main(void) { gtk_main(); return 0; } " >> .tmp.c
  
      # Try first GTK 3.0

Modified: head/editors/mp/files/patch-mpdm_config.sh
==============================================================================
--- head/editors/mp/files/patch-mpdm_config.sh	Thu Mar 21 22:51:53 2019	(r496518)
+++ head/editors/mp/files/patch-mpdm_config.sh	Thu Mar 21 23:53:16 2019	(r496519)
@@ -1,49 +1,49 @@
---- mpdm/config.sh.orig	2015-05-05 07:29:54 UTC
+--- mpdm/config.sh.orig	2019-02-11 11:53:55 UTC
 +++ mpdm/config.sh
-@@ -191,8 +191,8 @@ echo -n "Testing for regular expressions... "
+@@ -194,8 +194,8 @@ echo -n "Testing for regular expressions... "
  
  if [ "$WITH_PCRE" = 1 ] ; then
- 	# try first the pcre library
--	TMP_CFLAGS="-I/usr/local/include"
--	TMP_LDFLAGS="-L/usr/local/lib -lpcre -lpcreposix"
-+	TMP_CFLAGS="-I$LOCALBASE/include"
-+	TMP_LDFLAGS="-L$LOCALBASE/lib -lpcre -lpcreposix"
- 	echo "#include <pcreposix.h>" > .tmp.c
- 	echo "int main(void) { regex_t r; regmatch_t m; regcomp(&r,\".*\",REG_EXTENDED|REG_ICASE); return 0; }" >> .tmp.c
+     # try first the pcre library
+-    TMP_CFLAGS="-I/usr/local/include"
+-    TMP_LDFLAGS="-L/usr/local/lib -lpcre -lpcreposix"
++    TMP_CFLAGS="-I$LOCALBASE/include"
++    TMP_LDFLAGS="-L$LOCALBASE/lib -lpcre -lpcreposix"
+     echo "#include <pcreposix.h>" > .tmp.c
+     echo "int main(void) { regex_t r; regmatch_t m; regcomp(&r,\".*\",REG_EXTENDED|REG_ICASE); return 0; }" >> .tmp.c
  
-@@ -370,13 +370,15 @@ else
- 		echo "#define CONFOPT_GETTEXT 1" >> config.h
- 	else
- 		# try now with -lintl
--		TMP_LDFLAGS="-lintl"
-+		TMP_CFLAGS="-I$LOCALBASE/include"
-+		TMP_LDFLAGS="-L$LOCALBASE/lib -lintl"
+@@ -373,13 +373,15 @@ else
+         echo "#define CONFOPT_GETTEXT 1" >> config.h
+     else
+         # try now with -lintl
+-        TMP_LDFLAGS="-lintl"
++        TMP_CFLAGS="-I$LOCALBASE/include"
++        TMP_LDFLAGS="-L$LOCALBASE/lib -lintl"
  
--		$CC .tmp.c $TMP_LDFLAGS -o .tmp.o 2>> .config.log
-+		$CC $TMP_CFLAGS .tmp.c $TMP_LDFLAGS -o .tmp.o 2>> .config.log
+-        $CC .tmp.c $TMP_LDFLAGS -o .tmp.o 2>> .config.log
++        $CC $TMP_CFLAGS .tmp.c $TMP_LDFLAGS -o .tmp.o 2>> .config.log
  
- 		if [ $? = 0 ] ; then
- 			echo "OK (libintl needed)"
- 			echo "#define CONFOPT_GETTEXT 1" >> config.h
-+			echo "$TMP_CFLAGS" >> config.cflags
- 			echo "$TMP_LDFLAGS" >> config.ldflags
- 		else
- 			echo "No"
-@@ -403,13 +405,15 @@ else
- 		echo "#define CONFOPT_ICONV 1" >> config.h
- 	else
- 		# try now with -liconv
--		TMP_LDFLAGS="-liconv"
-+		TMP_CFLAGS="-I$ICONV_PREFIX/include"
-+		TMP_LDFLAGS="-L$ICONV_PREFIX/lib $ICONV_LIB"
+         if [ $? = 0 ] ; then
+             echo "OK (libintl needed)"
+             echo "#define CONFOPT_GETTEXT 1" >> config.h
++            echo "$TMP_CFLAGS" >> config.cflags
+             echo "$TMP_LDFLAGS" >> config.ldflags
+         else
+             echo "No"
+@@ -406,13 +408,15 @@ else
+         echo "#define CONFOPT_ICONV 1" >> config.h
+     else
+         # try now with -liconv
+-        TMP_LDFLAGS="-liconv"
++        TMP_CFLAGS="-I$ICONV_PREFIX/include"
++        TMP_LDFLAGS="-L$ICONV_PREFIX/lib $ICONV_LIB"
  
--		$CC .tmp.c $TMP_LDFLAGS -o .tmp.o 2>> .config.log
-+		$CC $TMP_CFLAGS .tmp.c $TMP_LDFLAGS -o .tmp.o 2>> .config.log
+-        $CC .tmp.c $TMP_LDFLAGS -o .tmp.o 2>> .config.log
++        $CC $TMP_CFLAGS .tmp.c $TMP_LDFLAGS -o .tmp.o 2>> .config.log
  
- 		if [ $? = 0 ] ; then
- 			echo "OK (libiconv needed)"
- 			echo "#define CONFOPT_ICONV 1" >> config.h
-+			echo "$TMP_CFLAGS" >> config.cflags
- 			echo "$TMP_LDFLAGS" >> config.ldflags
- 		else
- 			echo "No"
+         if [ $? = 0 ] ; then
+             echo "OK (libiconv needed)"
+             echo "#define CONFOPT_ICONV 1" >> config.h
++            echo "$TMP_CFLAGS" >> config.cflags
+             echo "$TMP_LDFLAGS" >> config.ldflags
+         else
+             echo "No"

Added: head/editors/mp/files/patch-mpv__gtk.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/mp/files/patch-mpv__gtk.c	Thu Mar 21 23:53:16 2019	(r496519)
@@ -0,0 +1,14 @@
+Fix build with GTK 2.x
+https://github.com/angelortega/mp-5.x/pull/40
+
+--- mpv_gtk.c.orig	2019-02-26 08:10:09 UTC
++++ mpv_gtk.c
+@@ -2533,7 +2533,7 @@ static mpdm_t gtk_drv_startup(mpdm_t a, mpdm_t ctxt)
+     gtk_box_pack_start(GTK_BOX(vbox), status, FALSE, FALSE, 0);
+ 
+ #if CONFOPT_GTK == 2
+-    gtk_misc_set_alignment(GTK_MISC(label), 0, .5);
++    gtk_misc_set_alignment(GTK_MISC(status), 0, .5);
+ #endif
+ #if CONFOPT_GTK == 3
+     gtk_label_set_xalign(GTK_LABEL(status), 0.0);

Added: head/editors/mp/pkg-message
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/mp/pkg-message	Thu Mar 21 23:53:16 2019	(r496519)
@@ -0,0 +1,23 @@
+=========================================================================
+
+The default color scheme for GUI drivers changed in version 5.30 to a
+dark background and softer colors. If you want to revert to the classic
+bright colors on white background theme, edit the configuration file
+(File -> Edit configuration file) and copy and paste the following:
+
+    /* Minimum Profit Classic Colors */
+    mp.colors.normal.gui        = [ 0x000000, 0xffffff ];
+    mp.colors.cursor.gui        = mp.colors.normal.gui;
+    mp.colors.selection.gui     = [ 0xff0000, 0xffffff ];
+    mp.colors.comments.gui      = [ 0x00cc77, 0xffffff ];
+    mp.colors.documentation.gui = [ 0x8888ff, 0xffffff ];
+    mp.colors.quotes.gui        = [ 0x0000ff, 0xffffff ];
+    mp.colors.matching.gui      = [ 0x000000, 0xffff00 ];
+    mp.colors.word1.gui         = [ 0x00aa00, 0xffffff ];
+    mp.colors.word2.gui         = [ 0xff6666, 0xffffff ];
+    mp.colors.word3.gui         = [ 0x000088, 0xffffff ];
+    mp.colors.tag.gui           = [ 0x8888ff, 0xffffff ];
+    mp.colors.spell.gui         = [ 0xff8888, 0xffffff ];
+    mp.colors.search.gui        = [ 0x000000, 0x00cc77 ];
+
+=========================================================================

Modified: head/editors/mp/pkg-plist
==============================================================================
--- head/editors/mp/pkg-plist	Thu Mar 21 22:51:53 2019	(r496518)
+++ head/editors/mp/pkg-plist	Thu Mar 21 23:53:16 2019	(r496519)
@@ -1,5 +1,4 @@
 bin/mp-5
-bin/mpsl
 man/man1/mp-5.1.gz
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS
 %%PORTDOCS%%%%DOCSDIR%%/README
@@ -15,7 +14,6 @@ man/man1/mp-5.1.gz
 %%PORTDOCS%%%%DOCSDIR%%/mp_encoding.html
 %%PORTDOCS%%%%DOCSDIR%%/mp_encoding.txt
 %%PORTDOCS%%%%DOCSDIR%%/mp_function_reference.html
-%%PORTDOCS%%%%DOCSDIR%%/mp_function_reference.rhtml
 %%PORTDOCS%%%%DOCSDIR%%/mp_index.html
 %%PORTDOCS%%%%DOCSDIR%%/mp_index.txt
 %%PORTDOCS%%%%DOCSDIR%%/mp_interactive_dialog_boxes.html
@@ -27,37 +25,20 @@ man/man1/mp-5.1.gz
 %%PORTDOCS%%%%DOCSDIR%%/mp_man.html
 %%PORTDOCS%%%%DOCSDIR%%/mp_man.txt
 %%PORTDOCS%%%%DOCSDIR%%/mp_templates.sample
+%%PORTDOCS%%%%DOCSDIR%%/mpdm_overview.html
+%%PORTDOCS%%%%DOCSDIR%%/mpdm_overview.txt
+%%PORTDOCS%%%%DOCSDIR%%/mpsl_index.html
+%%PORTDOCS%%%%DOCSDIR%%/mpsl_index.txt
+%%PORTDOCS%%%%DOCSDIR%%/mpsl_internals.html
+%%PORTDOCS%%%%DOCSDIR%%/mpsl_internals.txt
+%%PORTDOCS%%%%DOCSDIR%%/mpsl_overview.html
+%%PORTDOCS%%%%DOCSDIR%%/mpsl_overview.txt
+%%PORTDOCS%%%%DOCSDIR%%/mpsl_quickref.ps
+%%PORTDOCS%%%%DOCSDIR%%/mpsl_quickref.txt
 %%NLS%%share/locale/de/LC_MESSAGES/minimum-profit.mo
 %%NLS%%share/locale/es/LC_MESSAGES/minimum-profit.mo
 %%NLS%%share/locale/it/LC_MESSAGES/minimum-profit.mo
 %%NLS%%share/locale/nl/LC_MESSAGES/minimum-profit.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/minimum-profit.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/minimum-profit.mo
-%%DATADIR%%/lang/de.mpsl
-%%DATADIR%%/lang/es.mpsl
-%%DATADIR%%/lang/it.mpsl
-%%DATADIR%%/lang/nl.mpsl
-%%DATADIR%%/lang/ru.mpsl
-%%DATADIR%%/lang/sv.mpsl
-%%DATADIR%%/mp_build.mpsl
-%%DATADIR%%/mp_clipboard.mpsl
-%%DATADIR%%/mp_core.mpsl
-%%DATADIR%%/mp_crypt.mpsl
-%%DATADIR%%/mp_dir.mpsl
-%%DATADIR%%/mp_drv.mpsl
-%%DATADIR%%/mp_edit.mpsl
-%%DATADIR%%/mp_file.mpsl
-%%DATADIR%%/mp_macro.mpsl
-%%DATADIR%%/mp_misc.mpsl
-%%DATADIR%%/mp_move.mpsl
-%%DATADIR%%/mp_search.mpsl
-%%DATADIR%%/mp_session.mpsl
-%%DATADIR%%/mp_spell.mpsl
-%%DATADIR%%/mp_syntax.mpsl
-%%DATADIR%%/mp_tags.mpsl
-%%DATADIR%%/mp_templates.mpsl
-%%DATADIR%%/mp_toys.mpsl
-%%DATADIR%%/mp_tui.mpsl
-%%DATADIR%%/mp_vcs.mpsl
-%%DATADIR%%/mp_writing.mpsl
 %%GUI%%share/pixmaps/mp.png



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201903212353.x2LNrGh2095469>